KDE 4.7 PyKDE API Reference

- KDE's Python API

# PluginAboutDialog Class Reference

`from PyKDE4.marble import *`

Inherits: QDialog → QWidget → QObject
Namespace: Marble

## Detailed Description

## Enumerations
LicenseKey | { License_LGPL_V2 }
## Methods
| __init__ (self, QWidget parent=0)
| setAboutText (self, QString about)
| setAuthorsText (self, QString authors)
| setDataText (self, QString data)
| setLicense (self, Marble.PluginAboutDialog.LicenseKey license)
| setLicenseAgreementText (self, QString license)
| setName (self, QString name)
| setPixmap (self, QPixmap pixmap)
| setVersion (self, QString version)

## Method Documentation

__init__ | ( | self, |
|  | QWidget | parent=0
| ) |  |  |

setAboutText | ( | self, |
|  | QString | about
| ) |  |  |

Sets the text displayed in the "About" tab of the dialog.

setAuthorsText | ( | self, |
|  | QString | authors
| ) |  |  |

Sets the text displayed in the "Authors" tab of the dialog.

Warning:
  You would want to use setAuthors instead.

setDataText | ( | self, |
|  | QString | data
| ) |  |  |

Sets the text displayed in the "Data" tab of the dialog. An null QString will result into no "Data" tab at all.

setLicense | ( | self, |
|  | Marble.PluginAboutDialog.LicenseKey | license
| ) |  |  |

Sets the license for the "License Agreement" tab of the dialog.

setLicenseAgreementText | ( | self, |
|  | QString | license
| ) |  |  |

Sets the text displayed in the "License Agreement" tab of the dialog. A null QString will result into the default LGPLv2 license agreement. If your plugin is not part of the official Marble distribution, please set it manually to the license agreement you prefer (even if it is LGPLv2).

Warning:
  You would want to use setLicense instead.

setName | ( | self, |
|  | QString | name
| ) |  |  |

Sets the name of the plugin.

setPixmap | ( | self, |
|  | QPixmap | pixmap
| ) |  |  |

Sets the pixmap to be displayed at the top of the dialog.

setVersion | ( | self, |
|  | QString | version
| ) |  |  |

Sets the version of the plugin;

## Enumeration Documentation

LicenseKey

Enumerator:

  License_LGPL_V2 = 2 |